export default {

    data(){
      return {
          draw:false
      }
    },

    inject:['addMessage'],

    watch:{
        value:{
            handler(){

                return this.changeValue(this.value);
            },
            immediate:true
        }
    },

    methods:{
        changeValue(value){
            if (value !== this.vValue) {
                this.vValue = value;

                if (value && !this.draw) {
                    this.draw = true;
                }

                if (this.value !== value) {
                    return this.$emit('input',value);
                }
            }
        }
    },

}
